#![allow(clippy::unused_self)]

use crate::space::{addr::Uaddr, mm::tlb::MmuGather};

#[inline(always)]
pub(super) fn arch_local_flush_tlb_all() {
    unreachable!()
}

impl MmuGather<'_> {
    pub(super) fn arch_tlb_flush(&self) {}

    pub(super) fn arch_pte_free_tlb(&mut self, _: Uaddr) {}

    pub(super) fn arch_pmd_free_tlb(&mut self, _: Uaddr) {}

    pub(super) fn arch_pud_free_tlb(&mut self, _: Uaddr) {}
}
